###############################################
# Do not Edit! Generated by:
# spec-builder version 0.13-prerelease
###############################################

Name: mpfr
Summary: A C library for multiple-precision floating-point computations
Group: System Environment/Libraries
Version: 2.4.1
License: LGPLv2+ and GPLv2+ and GFDL
URL: http://www.mpfr.org/
Release: 1.7.moblin2
Source0: http://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: autoconf
BuildRequires: libtool
BuildRequires: mpfr
BuildRequires: gmp-devel

Requires: gmp >= 4.2.1

%description
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and
also has a well-defined semantics. It copies the good ideas from the
ANSI/IEEE-754 standard for double-precision floating-point arithmetic
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.

%package devel

Summary: Development tools A C library for mpfr library
Group: Development/Libraries

Requires: %{name} >= %{version}
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info

%description devel
The static libraries, header files and documentation for using the MPFR
multiple-precision floating-point library in applications.
If you want to develop applications which will use the MPFR library,
you'll need to install the mpfr-devel package.  You'll also need to
install the mpfr package.

%prep
%setup -q -n mpfr-%{version}

%build
%configure --disable-assert --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%find_lang mpfr || echo -n >> mpfr.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel 
/sbin/ldconfig
if [ -e %{_infodir}/mpfr.info.gz ]; then
	/sbin/install-info %{_infodir}/mpfr.info.gz %{_infodir}/dir
fi

%postun devel 
/sbin/ldconfig
if [ $1 = 0 ] && [ -e %{_infodir}/mpfr.info.gz ]; then
	/sbin/install-info --delete %{_infodir}/mpfr.info.gz %{_infodir}/dir

fi

%files -f mpfr.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB NEWS README
%{_libdir}/libmpfr.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libmpfr.so
%{_includedir}/*.h
%{_infodir}/mpfr.info*


%changelog
* Fri Apr  3 2009 Passion Zhao <passion.zhao@intel.com> 2.4.1
- Update to 2.4.1 to fix CVE-2009-0757
* Fri Feb 13 2009 Anas Nashif <anas.nashif@intel.com> 2.4.0
- Update to 2.4.0
* Thu Dec 18 2008 Arjan van de Ven <arjan@linux.intel.com> 2.3.0
- Use standard specfile
